Qyra
ReferenceOrganizations

Update organization settings

Updates the current organization's settings. Only the provided fields are changed.

PATCH/api/v1/org/settings

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Request body

{
  "oidcLinkingEnabled": true,
  "oidcToEmailLinkingEnabled": true,
  "supportImpersonationEnabled": true,
  "semanticLayerPgwireEnabled": true,
  "scheduledDeliveryExpirationSeconds": 0,
  "scheduledDeliveryExpirationSecondsEmail": 0,
  "scheduledDeliveryExpirationSecondsSlack": 0,
  "scheduledDeliveryExpirationSecondsMsTeams": 0,
  "scheduledDeliveryExpirationSecondsGoogleChat": 0,
  "queryLimit": 0,
  "csvCellsLimit": 0,
  "corsAllowedDomains": [
    "string"
  ]
}

Responses

200 — Ok

{
  "results": {
    "corsAllowedDomains": [
      "string"
    ],
    "csvCellsLimit": 0,
    "queryLimit": 0,
    "scheduledDeliveryExpirationSecondsGoogleChat": 0,
    "scheduledDeliveryExpirationSecondsMsTeams": 0,
    "scheduledDeliveryExpirationSecondsSlack": 0,
    "scheduledDeliveryExpirationSecondsEmail": 0,
    "scheduledDeliveryExpirationSeconds": 0,
    "semanticLayerPgwireEnabled": true,
    "supportImpersonationEnabled": true,
    "oidcToEmailLinkingEnabled": true,
    "oidcLinkingEnabled": true
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}